Subject: Store references inside compressed data

From: Miguel Ángel Arruga Vivas <[email-masked]>
Date: Tue, 05 Jan 2021 15:36:07 +0100

There are several binary formats that allow compression of the
executable image, or some of its data, which is decompress at runtime:

  - Kernel images.
  - Compressed libraries: e.g. Smalltalk modules.
  - Compressed executable or data files: e.g. library.el.gz.

These aren't taken into account by the grafting process, which may lead
to issues when store paths are located inside that kind of files.